Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sqs.model
Class SendMessageResult

    java.lang.Object
      com.amazonaws.services.sqs.model.SendMessageResult

    public class SendMessageResult

extends Object

Constructor Summary
`SendMessageResult()`

Method Summary
`String` | `getMD5OfMessageBody()` An MD5 digest of the non-URL-encoded message body string.
`String` | `getMessageId()` The message ID of the message sent to the queue.
`void` | `setMD5OfMessageBody(String mD5OfMessageBody)` An MD5 digest of the non-URL-encoded message body string.
`void` | `setMessageId(String messageId)` The message ID of the message sent to the queue.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`SendMessageResult` | `withMD5OfMessageBody(String mD5OfMessageBody)` An MD5 digest of the non-URL-encoded message body string.
`SendMessageResult` | `withMessageId(String messageId)` The message ID of the message sent to the queue.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SendMessageResult

    public SendMessageResult()

Method Detail

### getMD5OfMessageBody

    public String getMD5OfMessageBody()

  An MD5 digest of the non-URL-encoded message body string. This can be used to verify that SQS received the message correctly. SQS first URL decodes the message before creating the MD5 digest. For information about MD5, go to http://faqs.org/rfcs/rfc1321.html.

  Returns:
    An MD5 digest of the non-URL-encoded message body string. This can be used to verify that SQS received the message correctly. SQS first URL decodes the message before creating the MD5 digest. For information about MD5, go to http://faqs.org/rfcs/rfc1321.html.

### setMD5OfMessageBody

    public void setMD5OfMessageBody(String mD5OfMessageBody)

  An MD5 digest of the non-URL-encoded message body string. This can be used to verify that SQS received the message correctly. SQS first URL decodes the message before creating the MD5 digest. For information about MD5, go to http://faqs.org/rfcs/rfc1321.html.

  Parameters:
    `mD5OfMessageBody` - An MD5 digest of the non-URL-encoded message body string. This can be used to verify that SQS received the message correctly. SQS first URL decodes the message before creating the MD5 digest. For information about MD5, go to http://faqs.org/rfcs/rfc1321.html.

### withMD5OfMessageBody

    public SendMessageResult withMD5OfMessageBody(String mD5OfMessageBody)

  An MD5 digest of the non-URL-encoded message body string. This can be used to verify that SQS received the message correctly. SQS first URL decodes the message before creating the MD5 digest. For information about MD5, go to http://faqs.org/rfcs/rfc1321.html.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `mD5OfMessageBody` - An MD5 digest of the non-URL-encoded message body string. This can be used to verify that SQS received the message correctly. SQS first URL decodes the message before creating the MD5 digest. For information about MD5, go to http://faqs.org/rfcs/rfc1321.html.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMessageId

    public String getMessageId()

  The message ID of the message sent to the queue.

  Returns:
    The message ID of the message sent to the queue.

### setMessageId

    public void setMessageId(String messageId)

  The message ID of the message sent to the queue.

  Parameters:
    `messageId` - The message ID of the message sent to the queue.

### withMessageId

    public SendMessageResult withMessageId(String messageId)

  The message ID of the message sent to the queue.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `messageId` - The message ID of the message sent to the queue.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.